package hiro.yoshioka.sdh;

import hiro.yoshioka.util.StringUtil;

public class CellParam {
	int maxLength;

	int row = 1;

	private String name;

	int colSpan = 1;

	public CellParam(String name, int maxLength) {
		this.name = name;
		this.maxLength = maxLength;
	}

	@Override
	public String toString() {
		return name + "[" + maxLength + "/" + colSpan + "]";
	}

	public String getNameEsc() {
		return StringUtil.escName(name);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}